<!DOCTYPE html>
<html xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml">
    <h:head>
        <h:outputStylesheet library="stylesheet" name="gazelle-webservice-tester-${gazelle-assets-version}.min.css"/>
        <title>${pageNameTitle}</title>
        <link rel="shortcut icon" href="#{request.contextPath}/favicon.ico"/>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <h:outputScript library="jscript" name="gazelle-webservice-tester-${gazelle-assets-version}.min.js"/>

        <ui:insert name="header"/>

        <h:outputScript library="jscript" name="gazelle-webservice-tester-deferred-${gazelle-assets-version}.min.js"/>
        <script>
            //  in case of conflicts
            jq162 = jQuery.noConflict(true);

            jq162(function () {
                updateSelects();
                // jq162('[data-toggle="popover"]').popover({html: true})
            });

            function updateSelects() {
                updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%"});
            }
        </script>
    </h:head>
    <h:body>
        <f:view>
            <ui:include src="/ajaxStatus.xhtml"/>
            <h:form>
                <ui:decorate template="/layout/menu/_menu_template.xhtml">
                    <ui:define name="menu_title">
                        <h:outputLink value="/gazelle-webservice-tester/">
                            <h:outputText styleClass="navbar-brand" value="#{messages['net.ihe.gazelle.webservice.tester.GazelleWebserviceTester']}"/>
                        </h:outputLink>
                    </ui:define>
                    <ui:define name="menu_logo">
                        <h:graphicImage library="img" name="gazelle.png"/>
                    </ui:define>
                    <ui:define name="menu_navigation_links">
                        <ui:include src="/layout/menu_links.xhtml"/>
                    </ui:define>
                    <ui:define name="menu_user_actions_right">
                        <ui:decorate template="/layout/menu-right.xhtml">
                            <ui:param name="applicationRoot" value="#{messages['net.ihe.gazelle.webservice.tester.Gazellewebservicetester']}"/>
                            <ui:define name="administration_links">
                                <li>
                                    <h:outputLink
                                            value="/gazelle-webservice-tester/administration/callingTools.seam">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ManageCallingTools']}"/>
                                    </h:outputLink>
                                </li>
                                <li>
                                    <h:outputLink value="/gazelle-webservice-tester/administration/keystore.seam">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ManageKeystore']}"/>
                                    </h:outputLink>
                                </li>
                                <li class="dropdown-submenu">
                                    <a href="#">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ConformanceTool']}"/>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li>
                                            <h:outputLink
                                                    value="/gazelle-webservice-tester/administration/conformanceTool/actorType.seam">
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ManageActorType_2']}"/>
                                            </h:outputLink>
                                        </li>
                                        <li>
                                            <h:outputLink
                                                    value="/gazelle-webservice-tester/administration/conformanceTool/profile.seam">
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ManageProfile']}"/>
                                            </h:outputLink>
                                        </li>
                                        <li>
                                            <h:outputLink
                                                    value="/gazelle-webservice-tester/administration/conformanceTool/option.seam">
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ManageOption']}"/>
                                            </h:outputLink>
                                        </li>
                                    </ul>
                                </li>
                            </ui:define>
                        </ui:decorate>
                    </ui:define>
                </ui:decorate>
            </h:form>


            <div id="gzl-container">
                <div class="row">
                    <div class="center-block gazelle-alert">
                        <s:decorate id="gazelle-messages">
                            <rich:messages globalOnly="true" escape="false"
                                           styleClass="fade-out-up text-center"
                                           infoClass="alert gzl-alert-green animated-fast"
                                           warnClass="alert gzl-alert-orange animated-slow"
                                           errorClass="alert gzl-alert-red animated-slow">
                            </rich:messages>
                        </s:decorate>
                    </div>
                </div>
                <h2>
                    <h:outputText value="${pageNameTitle}"/>
                </h2>
                <ui:insert name="body"/>
            </div>

            <ui:include src="footer.xhtml"/>
            <ui:include src="_scrollup.xhtml"/>
        </f:view>
        <a4j:status onstop="updateSelects()"/>
    </h:body>
    <h:outputScript library="jscript" name="ie10-viewport-bug-workaround.js"/>
</html>
